<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Thick Borders</title>
    <style>
        div + div {margin-top:1em;}
        .frame {
            border: 2em solid;
            border-top-color: red;
            border-bottom-color: green;
            border-left-color: blue;
            border-right-color: orange;
            width: 3em;
            height: 3em;
        }
        .zero {
            border: 2em solid;
            border-top-color: red;
            border-bottom-color: green;
            border-left-color: blue;
            border-right-color: orange;
            width: 0;
            height: 0;
        }
        .triangle {
            border: 2em solid;
            width: 0;
            height: 0;
        }
        .up    { border-color: transparent transparent #555 transparent; }
        .down  { border-color: #555 transparent transparent transparent; }
        .left  { border-color: transparent #555 transparent transparent; }
        .right { border-color: transparent transparent transparent #555; }
    </style>
</head>
<body>
    <h1>Thick Borders</h1>

    <div class="frame"></div>
    <div class="zero"></div>
    <div class="triangle up"></div>
    <div class="triangle down"></div>
    <div class="triangle left"></div>
    <div class="triangle right"></div>
</body>
</html>

